<template>
    <div>
        <h2 v-if="product">
            This is page for product #{{ product.id }}: {{ product.item }}
        </h2>
        <h2 v-else>
            Product not found
        </h2>
        <div>
            <button v-on:click="addItem(index)" class="btn">Add to cart</button>  
        </div>
    </div>
</template>
<script>
    export default {
        data: function() {
            return {
                
            };
        },
    }
</script>
